# Packmangroup: Libraries
# Packmanpackagename: libdvdcss2
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>Now, the new copyright in germany is coming into force, it's no longer allowed to provide tools to breake technical protections.</p><p>Therefore we can no longer provide libdvdcss, sorry.</p><p>To give you the capability to watch DVD's on linux systems, we want make you the installation as easy as possible.</p><p>Download the libdvdcss tar.bz2-file in the same version as the nosrc.rpm from <a href="http://www.videolan.org/pub/libdvdcss/" target="_new">videolan</a>, copy it to /usr/src/packages/SOURCES/, download the nosrc.rpm and compile the library using <code>rpm --rebuild --target=i586 libdvdcss*.src.rpm</code>. The final RPM's you can find in /usr/src/packages/RPMS/i586/, you can install it like every other RPM.</p>
# Packmanpackagedesc_de: <p>Nach Inkrafttreten des neuen Urheberrechts in Deutschland ist es verboten, Hilfsmittel zur Umgehung technischer Schutzmassnahmen zu Verbreiten.</p><p>Leider kann die libdvdcss deshalb nicht mehr zum Download angeboten werden</p><p>Damit Sie trotzdem unter Linux DVDs anschaun k&ouml;nnen, wollen wir Ihnen die Installation so einfach wie m&ouml;glich machen.</p><p>Laden Sie die libdvdcss tar.bz2-Datei in der zum nosrc.rpm passenden Version von <a href="http://www.videolan.org/pub/libdvdcss/" target="_new">videolan</a>, kopieren Sie die Datei nach /usr/src/packages/SOURCES/, laden Sie das nosrc.rpm runter und bersetzen Sie die Bibliothek mit <code>rpm --rebuild --target=i586 libdvdcss*.src.rpm</code>. Die fertigen RPMs finden sich dann unter /usr/src/packages/RPMS/i586/, die sie wie gewohnt installieren k&ouml;nnen.</p>

%define name    libdvdcss2
%define version 1.2.8
%define release 4

Name:           %{name}
Summary:        Library for accessing DVDs like block device usind deCSS if needed
Summary(de):    Bibliothek zum Zugriff auf DVDs mit deCSS-Entschlsselung, falls ben�igt
Summary(fi):    DVD-aseman k�ittelyyn tarkoitettu ohjelmointikirjasto (Sis�t� DeCSS ominaisuuden)
Version:        %{version}
Release:        %{release}
License:        GPL
URL:            http://www.videolan.org/libdvdcss/
Group:          System/Libraries

Source0:        libdvdcss-1.2.8.tar.bz2
NoSource:       0
#Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
#Vendor:         Packman
#Distribution:   SuSE Linux 8.2 (i586)
BuildRoot:      %_tmppath/%name-%version-%release-root
Conflicts:      libdvdcss0.0.1, libdvdcss0.0.2
Provides:       libdvdcss = %version-%release

%description
libdvdcss is a simple library designed for accessing DVDs like a block device
without having to bother about the decryption. The important features are:
 * Portability. Currently supported platforms are GNU/Linux, FreeBSD, NetBSD,
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   and HP-UX.
 * Simplicity. There are currently 7 functions in the API, and we intend to
   keep this number low.
 * Freedom. libdvdcss is released under the General Public License, ensuring
   it will stay free, and used only for free software products.
 * Just better. Unlike most similar projects, libdvdcss doesn't require the
   region of your drive to be set.

%description -l de
Die libdvdcss ist eine einfache Bibliothek, entwickelt um auf DVDs wie auf
Blockdevices zuzugreifen, ohne sich ber die Verschlsselung gedanken machen
zu mpssen. Die wichtigsten Features sind:
 * Portabilit�. Augenblicklich werden folgende Plattformen untersttzt:
   GNU/Linux, FreeBSD, NetBSD, OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows
   NT/2000, MacOS X, Solaris und HP-UX.
 * Einfachheit. Es gibt augenblicklich 7 Funktionen in der API und die
   Entwickler sind bestrebt, die Zahl niedrig zu halten.
 * Freiheit. Die libdvdcss steht unter der General Public License, demzufolge
   wird es frei bleiben und nur fr freie Softwareprojekte eingesetzt.
 * Einfach besser. Im Gegensatz zu anderen Projekten dieser art ben�igt
   libdvdcss den Region-Code des DVD-Laufwerks nicht.

%description -l fi
libdvdcss on yksinkertainen ohjelmointikirjasto, jonka tarkoitus on tarjota
DVD-aseman k�ittelyyn helppo rajanpinta. libdvdcss k�tt�� ei tarvitse my�k�n
v�itt� CSS:st�vaan libdvdcss hoitaa sen automaattisesti.
T�keimm� ominaisuudet ovat:
 * Koodin siirrett�yys eri k�tt��jestelmien v�ill�
   Tuettuja t�l�hetkell�
   OpenBSD, BSD/OS, BeOS, Windows 95/98, Windows NT/2000, MacOS X, Solaris,
   ja HP-UX.
 * Helppous. Kirjastossa on vain 7 funktiota ohjelmointirajapinnassa.
 * Vapaus. Koodi on julkaistu General Public Lisenssin alaisena
 * Toisin kuin monet DVD-purkukirjastot libdvdcss ei tarvitse aluekoodia

%package devel
Summary:        Development tools for programs which will use the libdvdcss library
Summary(de):    Entwicklungstools fr Programme die die libdvdcss Bibliothek nutzen
Summary(fi):    DVD-soittimen k�ittelyyn tarkoitettu ohjelmointi kirjasto (Sis�t� DeCSS ominaisuuden)
Group:          Development/Libraries
Requires:       %{name} = %version-%release
Provides:       libdvdcss-devel = %version-%release

%description devel
The libdvdcss-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the libdvdcss library.

If you are going to develop programs which will manipulate DVDs, you
should install libdvdcss-devel.  You'll also need to have the libdvdcss
package installed.

%description devel -l de
Das libdvdcss-devel Packet enthelt Header-Files und statisch gelinkte
Bibliotheken die zur Entwicklung eigener Programme ben�igt werden, die
auf DVDs mit Hilfe der libdvdcss zugreifen wollen.

Wenn Sie Programme entwicklen wollen, die auf DVDs zugreifen sollen,
sollten sie libdvdcss-devel installieren. Es wird ebenso die libdvdcss
ben�igt.

%description devel -l fi
Paketti sis�t� header-tiedostot sek�staattiset kirjastot, jotka ovat
tarpeellisia ohjelmien kehitt�isen kannalta.
Jos aiot kehitt� ohjelman joka k�tt� libdvdcss sinun tulee asentaa n��tiedostot.

%prep
%setup -q -n libdvdcss-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure
make

%install
rm -rf %buildroot
%makeinstall
cd %{buildroot}%{_libdir}
ln -s libdvdcss.so.2 libdvdcss.so.1

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog COPYING
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Sat Oct 18 2003 Manfred Tremmel <Manfred.Tremmel@iive.de>
- a little change to make it compile with rpm 4 based distros

* Sat Aug 02 2003 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Update to Version 1.2.8

* Mon Jun 30 2003 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Removed source (nosrc.rpm), becauso of new copyright-law in Germany

* Thu Jun 26 2003 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Update to Version 1.2.7

* Thu Mar 27 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added packman headers
- changes to make it work with packman-upload script

* Thu Mar 13 2003 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Update to Version 1.2.6

* Sat Mar 08 2003 Manfred Tremmel <Manfred.Tremmel@iive.de>
- added german translations
- added translation for finnish by Tuukka Pasanen <illuusio@mailcity.com>

* Tue Feb 04 2003 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Update to Version 1.2.5

* Sat Nov 16 2002 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Update to Version 1.2.4

* Fri Oct 18 2002 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Update to Version 1.2.3

* Thu Aug 15 2002 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Update to Version 1.2.2

* Wed Jun 26 2002 Manfred Tremmel <Manfred.Tremmel@iive.de>
- Update to Version 1.2.1

* Thu May 30 2002 Manfred Tremmel <Manfred.Tremmel@iive.de>
- added link to libdvdcss.so.1 (needed by xine dvdnav-plugin)
- added little patch to build shared libraries (I can't say why they were not build)

* Mon May 20 2002 Samuel Hocevar <sam@zoy.org>
- new upstream release
- weird libxalf dependency is gone

* Sun Apr 07 2002 Yves Duret <yduret@mandrakesoft.com> 1.1.1-2plf
- major version is 2 (aka guillaume sux).
- spec clean up: do not rm in %prep, %%buildroot, %%makeinstall_std, %%provides %%version-%%release
- added doc in devel
- sync with cvs's one (%%description,%%files, conflicts).
- fix url

* Sat Apr 06 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.1.1-1plf
- 1.1.1

* Wed Jan 30 2002 Guillaume Rousse <rousse@ccr.jussieu.fr> 1.0.0-3plf
- new plf extension

* Wed Dec 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.0-3mdk
- removed conflict

* Tue Dec 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.0.0-2mdk
- contributed to PLF by Yves Duret <yduret@mandrakesoft.com>
- Conflicts: libdvdcss-ogle
- more doc files
- no doc file for devel package

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 1.0.0-1mdk
- version 1.0.0

* Thu Aug 23 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.3-1mdk
- version 0.0.3

* Mon Aug 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.2-1mdk
- version 0.0.2

* Tue Jun 19 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.1-1mdk
- first release and first mdk release
